@ECHO OFF

@echo TRADER: Creating CICS definitions for file CUSTFILE
cicsadd -c fd -r asg -P "CUSTFILE" ResourceDescription="CUSTFILE file definition" BaseName="custfile" FileServer="/.:/cics/sfs/%COMPUTERNAME%" IndexName="firstindex" OpenStatus="open" RSLKey=public
@echo TRADER: Defining CICS definitions for file COMPFILE
cicsadd -c fd -r asg -P "COMPFILE" ResourceDescription="COMPFILE file definition" BaseName="compfile" FileServer="/.:/cics/sfs/%COMPUTERNAME%" IndexName="firstindex" OpenStatus="open" RSLKey=public

@echo TRADER: Defining CICS definitions for program TRADINIT
cicsadd -c pd -r asg -P "TRADINIT" ResourceDescription="TRADINIT trader file defn" PathName="tradinit" RSLKey=public
@echo TRADER: Defining CICS definitions for program TRADER
cicsadd -c pd -r asg -P "TRADER" ResourceDescription="TRADER pgm file defn" PathName="trader" RSLKey=public
@echo TRADER: Defining CICS defn for test pgm TRADTEST
cicsadd -c pd -r asg -P "TRADTEST" ResourceDescription="TRADER test pgm defn" PathName="tradtest" RSLKey=public

@echo TRADER: Defining CICS definitions for transaction TINI
cicsadd -c td -r asg -P "TINI" ResourceDescription="TRADER init trans" ProgName="TRADINIT" RSLKey=public TPNSNAProfile=TDEFAULT
@echo TRADER: Defining CICS defns for trader test trans TRAD
cicsadd -c td -r asg -P "TRAD" ResourceDescription="TRADER test trans" ProgName="TRADTEST" RSLKey=public TPNSNAProfile=TDEFAULT


@echo TRADER: Creating sfs customer file (indexed on customer.company)
sfsadmin import file -server /.:/cics/sfs/%COMPUTERNAME% -devicetype disk custfile.00000000 -target custfile -targetvolume %SFS_VOL_NAME%

@echo TRADER: Creating COMPFILE (indexed on company)
sfsadmin import file -server /.:/cics/sfs/%COMPUTERNAME% -devicetype disk compfile.00000000 -target compfile -targetvolume %SFS_VOL_NAME%

